Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713540 - dev-ml/lablgtk: cleanup old (was: dev-ml/lablgtk-2.18.10: stabilisation)
Summary: dev-ml/lablgtk: cleanup old (was: dev-ml/lablgtk-2.18.10: stabilisation)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 713578
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2020-03-19 21:03 UTC by Tupone Alfredo
Modified: 2021-03-13 15:34 UTC (History)
2 users (show)

See Also:
Package list:
dev-ml/lablgtk-2.18.10 amd64 ppc ppc64 x86
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tupone Alfredo gentoo-dev 2020-03-19 21:03:09 UTC
Please stabilize dev-ml/lablgtk-2.18.10

Reproducible: Always
Comment 1 Agostino Sarubbo gentoo-dev 2020-03-31 12:36:30 UTC
ia64 will pass. See https://archives.gentoo.org/gentoo-dev/message/edaadc85d7423810dd6ecfeda29cc85f
Comment 2 Thomas Deutschmann gentoo-dev Security 2020-06-21 20:31:46 UTC
x86 stable
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2020-09-07 18:27:39 UTC
ppc64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2020-09-20 20:22:01 UTC
amd64 stable
Comment 5 ernsteiswuerfel archtester 2020-10-19 23:25:09 UTC
Looking good on ppc.

rdeps ocamlnet (bug #750269), unison (bug #750266), coq (bug #750251) fail to build.

 # cat lablgtk-713540.report 
USE tests started on Mo 19. Okt 22:43:01 CEST 2020

FEATURES=' test' USE='' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples -glade -gnomecanvas -ocamlopt -sourceview -spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='-examples -glade -gnomecanvas ocamlopt -sourceview -spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples -glade -gnomecanvas ocamlopt -sourceview -spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples glade gnomecanvas ocamlopt sourceview -spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples glade gnomecanvas -ocamlopt -sourceview spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples -glade gnomecanvas ocamlopt -sourceview spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='-examples -glade gnomecanvas -ocamlopt sourceview spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples glade -gnomecanvas ocamlopt sourceview spell -svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='-examples glade gnomecanvas ocamlopt sourceview -spell svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='-examples glade -gnomecanvas -ocamlopt -sourceview spell svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='-examples glade -gnomecanvas ocamlopt -sourceview spell svg' succeeded for =dev-ml/lablgtk-2.18.10
USE='examples glade gnomecanvas -ocamlopt sourceview spell svg' succeeded for =dev-ml/lablgtk-2.18.10

revdep tests started on Mo 19. Okt 23:27:57 CEST 2020

FEATURES=' test' USE='gtk' succeeded for dev-ml/ocamlgraph
USE='gtk' FEATURES=' test' failed for dev-ml/ocamlnet
USE='gtk' FEATURES=' test' failed for net-misc/unison
FEATURES=' test' USE='guionly gtk' succeeded for net-p2p/mldonkey
USE='gtk' FEATURES=' test' failed for sci-mathematics/coq
Comment 6 Sam James archtester gentoo-dev Security 2020-11-01 11:38:12 UTC
ppc stable (thank you!), closing
Comment 7 Andreas Sturmlechner gentoo-dev 2021-02-06 20:23:32 UTC
How about cleanup old now?
Comment 8 NATTkA bot gentoo-dev 2021-02-06 20:26:13 UTC
Sanity check failed:

> dev-ml/lablgtk-2.18.10
>   bdepend ia64 stable profile default/linux/ia64/17.0 (5 total)
>     dev-ml/findlib
>     virtual/pkgconfig
>   depend ia64 stable profile default/linux/ia64/17.0 (5 total)
>     >=dev-lang/ocaml-4.05:=
>     app-text/gtkspell:2
>     dev-ml/camlp4:=
>     gnome-base/libglade
>     gnome-base/libgnomecanvas
>     gnome-base/librsvg:2
>     x11-libs/gtk+:2
>     x11-libs/gtksourceview:2.0
>   rdepend ia64 stable profile default/linux/ia64/17.0 (5 total)
>     >=dev-lang/ocaml-4.05:=
>     app-text/gtkspell:2
>     dev-ml/camlp4:=
>     gnome-base/libglade
>     gnome-base/libgnomecanvas
>     gnome-base/librsvg:2
>     x11-libs/gtk+:2
>     x11-libs/gtksourceview:2.0
Comment 9 Larry the Git Cow gentoo-dev 2021-02-21 10:17:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3b08dd2f60331b1a5c49a3f86a7e03fde75bebc

commit e3b08dd2f60331b1a5c49a3f86a7e03fde75bebc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-12 17:06:49 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-21 10:16:48 +0000

    dev-ml/lablgtk: Drop 2.18.5 and 2.18.8-r1, EAPI5--
    
    Closes: https://bugs.gentoo.org/713540
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-ml/lablgtk/Manifest                 |  2 -
 dev-ml/lablgtk/lablgtk-2.18.5.ebuild    | 79 ---------------------------------
 dev-ml/lablgtk/lablgtk-2.18.8-r1.ebuild | 69 ----------------------------
 3 files changed, 150 deletions(-)
Comment 10 Andreas Sturmlechner gentoo-dev 2021-02-21 10:18:23 UTC
Sorry, branch failure.